import Link from 'next/link';
import styles from 'src/styles/modules/layout/footer.module.scss';

const links = [
  { url: 'https://github.com/zyachel/libremdb', text: 'Source' },
  { url: 'https://git.ngn.tf/ngn/libremdb', text: 'Modified Source' },
] as const;

const Footer = () => {
  return (
    <footer id='footer' className={styles.footer}>
      <nav aria-label='primary navigation' className={styles.nav}>
        <ul className={styles.list}>
          {links.map(link => (
            <li className={styles.nav__item} key={link.url}>
              <Link href={link.url}>
                <a
                  className={styles.nav__link}
                  aria-current={undefined}
                >
                  {link.text}
                </a>
              </Link>
            </li>
          ))}
          <li className={styles.nav__item}>
            <a href='#' className={styles.nav__link}>
              Back to top
            </a>
          </li>
        </ul>
      </nav>
    </footer>
  );
};

export default Footer;
